
/*
 * Business Process Definition: Ticket Workflow Generic (ticket_workflow_generic_wf)
 *
 * Auto-generated by ACS Workflow Export, version 4.3
 *
 * Context: default
 */


/*
 * Cases table
 */
create table ticket_workflow_generic__cases (
  case_id               integer primary key
                        references wf_cases on delete cascade
);

/* 
 * Declare the object type
 */


create function inline_0 () returns integer as '
begin
    PERFORM workflow__create_workflow (
        ''ticket_workflow_generic_wf'', 
        ''Ticket Workflow Generic'', 
        ''Ticket Workflow Generic'', 
        ''Generic ticket workflow, including "modify" (edit/modify the ticket), execute (fix the issue underlying the ticket), signoff (customer confirms fixed ticket) and the end states deleted and closed.'', 
        ''ticket_workflow_generic__cases'',
        ''case_id''
    );

    return null;

end;' language 'plpgsql';

select inline_0 ();
drop function inline_0 ();

        


/*****
 * Places
 *****/


    select workflow__add_place(
        'ticket_workflow_generic_wf',
        'start', 
        'Ready to Modify', 
        null
    );

        

    select workflow__add_place(
        'ticket_workflow_generic_wf',
        'before_execute', 
        'Ready to Execute', 
        null
    );

        

    select workflow__add_place(
        'ticket_workflow_generic_wf',
        'before_signoff', 
        'Ready to Signoff', 
        null
    );

        

    select workflow__add_place(
        'ticket_workflow_generic_wf',
        'before_deleted', 
        'Ready to Deleted', 
        null
    );

        

    select workflow__add_place(
        'ticket_workflow_generic_wf',
        'before_closed', 
        'Ready to Closed', 
        null
    );

        

    select workflow__add_place(
        'ticket_workflow_generic_wf',
        'end', 
        'Process finished', 
        null
    );

        

    select workflow__add_place(
        'ticket_workflow_generic_wf',
        'before_modify', 
        'Before Modify', 
        null
    );

        
/*****
 * Roles
 *****/



	select workflow__add_role (
         'ticket_workflow_generic_wf',
         'modify',
         'Modify',
         1
    );

        

	select workflow__add_role (
         'ticket_workflow_generic_wf',
         'execute',
         'Execute',
         2
    );

        

	select workflow__add_role (
         'ticket_workflow_generic_wf',
         'signoff',
         'Signoff',
         3
    );

        

	select workflow__add_role (
         'ticket_workflow_generic_wf',
         'deleted',
         'Deleted',
         4
    );

        

	select workflow__add_role (
         'ticket_workflow_generic_wf',
         'closed',
         'Closed',
         5
    );

        

/*****
 * Transitions
 *****/



	select workflow__add_transition (
         'ticket_workflow_generic_wf',
         'modify',
         'Modify',
         'modify',
         1,
         'user'
	);
	
        

	select workflow__add_transition (
         'ticket_workflow_generic_wf',
         'execute',
         'Execute',
         'execute',
         2,
         'user'
	);
	
        

	select workflow__add_transition (
         'ticket_workflow_generic_wf',
         'signoff',
         'Signoff',
         'signoff',
         3,
         'user'
	);
	
        

	select workflow__add_transition (
         'ticket_workflow_generic_wf',
         'deleted',
         'Deleted',
         'deleted',
         4,
         'user'
	);
	
        

	select workflow__add_transition (
         'ticket_workflow_generic_wf',
         'closed',
         'Closed',
         'closed',
         5,
         'user'
	);
	
        

	select workflow__add_transition (
         'ticket_workflow_generic_wf',
         'classify',
         'Classify',
         null,
         6,
         'automatic'
	);
	
        

/*****
 * Arcs
 *****/



	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'classify',
         'start',
         'in',
         '',
         '',
         ''
	);

        

	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'classify',
         'before_modify',
         'out',
         '',
         '',
         ''
	);

        

	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'closed',
         'before_closed',
         'in',
         '',
         '',
         ''
	);

        

	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'closed',
         'end',
         'out',
         '',
         '',
         ''
	);

        

	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'deleted',
         'before_deleted',
         'in',
         '',
         '',
         ''
	);

        

	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'deleted',
         'end',
         'out',
         '',
         '',
         ''
	);

        

	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'execute',
         'before_signoff',
         'out',
         '',
         '',
         ''
	);

        

	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'execute',
         'before_execute',
         'in',
         '',
         '',
         ''
	);

        

	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'modify',
         'before_modify',
         'in',
         '',
         '',
         ''
	);

        

	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'modify',
         'before_execute',
         'out',
         '',
         '',
         ''
	);

        

	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'signoff',
         'before_signoff',
         'in',
         '',
         '',
         ''
	);

        

	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'signoff',
         'before_closed',
         'out',
         'wf_callback__guard_attribute_true',
         'signoff_ticket_closed_p',
         'Ticket closed?'
	);

        

	select workflow__add_arc (
         'ticket_workflow_generic_wf',
         'signoff',
         'before_execute',
         'out',
         '#',
         '',
         'Not Ticket closed'
	);

        

/*****
 * Attributes
 *****/



    select workflow__create_attribute(
        'ticket_workflow_generic_wf',
        'signoff_ticket_closed_p',
        'boolean',
        'Ticket closed',
	null,
	null,
	null,
        't',
	1,
	1,
	null,
	'generic'
    );

        

	select workflow__add_trans_attribute_map(
        	'ticket_workflow_generic_wf', 
        	'signoff',
        	'signoff_ticket_closed_p',
        	1
    );

        
/*****
 * Transition-role-assignment-map
 *****/



/*
 * Context/Transition info
 * (for context = default)
 */

insert into wf_context_transition_info
(context_key,
 workflow_key,
 transition_key,
 estimated_minutes,
 instructions,
 enable_callback,
 enable_custom_arg,
 fire_callback,
 fire_custom_arg,
 time_callback,
 time_custom_arg,
 deadline_callback,
 deadline_custom_arg,
 deadline_attribute_name,
 hold_timeout_callback,
 hold_timeout_custom_arg,
 notification_callback,
 notification_custom_arg,
 unassigned_callback,
 unassigned_custom_arg)
values
('default',
 'ticket_workflow_generic_wf',
 'modify',
 1,
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '');

insert into wf_context_transition_info
(context_key,
 workflow_key,
 transition_key,
 estimated_minutes,
 instructions,
 enable_callback,
 enable_custom_arg,
 fire_callback,
 fire_custom_arg,
 time_callback,
 time_custom_arg,
 deadline_callback,
 deadline_custom_arg,
 deadline_attribute_name,
 hold_timeout_callback,
 hold_timeout_custom_arg,
 notification_callback,
 notification_custom_arg,
 unassigned_callback,
 unassigned_custom_arg)
values
('default',
 'ticket_workflow_generic_wf',
 'signoff',
 1,
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '');

insert into wf_context_transition_info
(context_key,
 workflow_key,
 transition_key,
 estimated_minutes,
 instructions,
 enable_callback,
 enable_custom_arg,
 fire_callback,
 fire_custom_arg,
 time_callback,
 time_custom_arg,
 deadline_callback,
 deadline_custom_arg,
 deadline_attribute_name,
 hold_timeout_callback,
 hold_timeout_custom_arg,
 notification_callback,
 notification_custom_arg,
 unassigned_callback,
 unassigned_custom_arg)
values
('default',
 'ticket_workflow_generic_wf',
 'deleted',
 0,
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '');

insert into wf_context_transition_info
(context_key,
 workflow_key,
 transition_key,
 estimated_minutes,
 instructions,
 enable_callback,
 enable_custom_arg,
 fire_callback,
 fire_custom_arg,
 time_callback,
 time_custom_arg,
 deadline_callback,
 deadline_custom_arg,
 deadline_attribute_name,
 hold_timeout_callback,
 hold_timeout_custom_arg,
 notification_callback,
 notification_custom_arg,
 unassigned_callback,
 unassigned_custom_arg)
values
('default',
 'ticket_workflow_generic_wf',
 'closed',
 0,
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '');

insert into wf_context_transition_info
(context_key,
 workflow_key,
 transition_key,
 estimated_minutes,
 instructions,
 enable_callback,
 enable_custom_arg,
 fire_callback,
 fire_custom_arg,
 time_callback,
 time_custom_arg,
 deadline_callback,
 deadline_custom_arg,
 deadline_attribute_name,
 hold_timeout_callback,
 hold_timeout_custom_arg,
 notification_callback,
 notification_custom_arg,
 unassigned_callback,
 unassigned_custom_arg)
values
('default',
 'ticket_workflow_generic_wf',
 'execute',
 100,
 '',
 'im_ticket__set_queue',
 'Linux Admins',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '');

insert into wf_context_transition_info
(context_key,
 workflow_key,
 transition_key,
 estimated_minutes,
 instructions,
 enable_callback,
 enable_custom_arg,
 fire_callback,
 fire_custom_arg,
 time_callback,
 time_custom_arg,
 deadline_callback,
 deadline_custom_arg,
 deadline_attribute_name,
 hold_timeout_callback,
 hold_timeout_custom_arg,
 notification_callback,
 notification_custom_arg,
 unassigned_callback,
 unassigned_custom_arg)
values
('default',
 'ticket_workflow_generic_wf',
 'classify',
 0,
 '',
 'im_ticket__classify',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '',
 '');



/*
 * Context/Role info
 * (for context = default)
 */



/*
 * Context Task Panels
 * (for context = default)
 */


commit;

